Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class CompositeServiceIdentifier

    java.lang.Object
      org.jasig.portal.EntityIdentifier
          org.jasig.portal.groups.CompositeEntityIdentifier
              org.jasig.portal.groups.CompositeServiceIdentifier

All Implemented Interfaces:
  java.io.Serializable, IGroupConstants

    public class CompositeServiceIdentifier

extends CompositeEntityIdentifier

A composite key that identifies a component group service.

Version:
  $Revision: 1.3 $
Author:
  Dan Ellentuck
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jasig.portal.groups.CompositeEntityIdentifier
`cachedCompositeKey, cachedLocalKey, cachedServiceName, compositeKey, NAME_CACHE, separator`

Fields inherited from class org.jasig.portal.EntityIdentifier
`key, type`

Fields inherited from interface org.jasig.portal.groups.IGroupConstants
`CHANNEL_CATEGORIES, CONTAINS, ENDS_WITH, EVERYONE, IS, NODE_SEPARATOR, PORTAL_ADMINISTRATORS, STARTS_WITH`

Constructor Summary
`CompositeServiceIdentifier(java.lang.String serviceKey)` CompositeServiceIdentifier.
`CompositeServiceIdentifier(java.lang.String entityKey, java.lang.Class entityType)` CompositeServiceIdentifier.

Method Summary
`javax.naming.Name` | `getServiceName()` The service name is the entire key.
`java.lang.String` | `toString()` Returns a String that represents the value of this object.

Methods inherited from class org.jasig.portal.groups.CompositeEntityIdentifier
`getCompositeKey, getKey, getLocalKey, getParser, newName, parseCompoundKey, popNode, pushNode, setCompositeKey, setServiceName, size`

Methods inherited from class org.jasig.portal.EntityIdentifier
`equals, getType, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeServiceIdentifier

    public CompositeServiceIdentifier(java.lang.String serviceKey)
                               throws GroupsException

  CompositeServiceIdentifier.

  Parameters:
    `serviceKey` - java.lang.String
  Throws:
    `GroupsException`

### CompositeServiceIdentifier

    public CompositeServiceIdentifier(java.lang.String entityKey,
                                      java.lang.Class entityType)
                               throws GroupsException

  CompositeServiceIdentifier.

  Parameters:
    `entityKey` - java.lang.String
    `entityType` - java.lang.Class
  Throws:
    `GroupsException`

Method Detail

### getServiceName

    public javax.naming.Name getServiceName()

  The service name is the entire key.

  Overrides:
    `getServiceName` in class `CompositeEntityIdentifier`
  Returns:
    javax.naming.Name

### toString

    public java.lang.String toString()

  Returns a String that represents the value of this object.

  Overrides:
    `toString` in class `CompositeEntityIdentifier`
  Returns:
    java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD